Personal tools
You are here: Home Forum Install & build Cannot set environment variables in Salome 7.6

Cannot set environment variables in Salome 7.6

Up to Install & build

Cannot set environment variables in Salome 7.6

Posted by Anders Garpebring at October 01. 2015

Dear Salome users,

I like to use the McCAD module in Salome 7.6. For that I need to set environment variables pointing to this software. But that turned out to be very difficult at least for me. I think I tried in every possible way but no good results. I always get that the libmccad.so file is missing.

- I've tried to set the environment variables be modifying the salome start script

- I've tried to add the paths to the library in the shell.

- I've created, modified and sourced env_products.sh according to the readme file. But the same result. Any change I do to the environment in the shell is not accessible Salome.

I'm new to this software so it is likely something easy. So please help me out I'm really confused.

 

Best,

Anders 

 

Re: Cannot set environment variables in Salome 7.6

Posted by Balu Gowda at October 27. 2015
Hi,
 
I am also facing the same problem as above. Please help us in this regard.
 
Thanks,
Balu

Re: Cannot set environment variables in Salome 7.6

Posted by Vadim SANDLER at October 27. 2015

Hello,

As far as I know, latest version of McCAD is available for SALOME 7.4.0 (see https://github.com/inr-kit/McCad-Salome-Binaries).

Probably, it is just not binary compatible with SALOME 7.6.0?

Also, as pointed on the project's site at GitHub (see link above):

"For any questions related to the use of this software/library you may contact Ulrich Fischer(ulrich.fischer@kit.edu) or, for technical assistance, contact Lei Lu (lei.lu@kit.edu) and Yuefeng Qiu (yuefeng.qiu@kit.edu)."

Regards,
Vadim.

Re: Cannot set environment variables in Salome 7.6

Posted by Yuefeng Qiu at October 28. 2015
Yes, Vadim is right. 
 
The pre-compiled binary of McCad is linked with specific version of SALOME, thus might not compatible with other version. 
 
The compilation of McCad under the latest version of SALOME is laborious, because the Open Cascade library on which McCad is based is changed without very good backward compatibility. Therefore, we have to change our code and test again. 
 
Anyway, if there is any urgent needs, I will try to make it. 
 
Regards,
Yuefeng

Re: Cannot set environment variables in Salome 7.6

Posted by Damian Berghof at August 28. 2019

Dear Salome Experts,
in the last few days, I looked over the McCad documentation and the different versions for Salome and SpaceClaim (Thanks to Yuefeng and KIT). It's really a great technology!

I am planning to perform some more tests with more complicated geometries and hexameshing with the SMESH module in the next few weeks and discuss the results in our FB group in some online meetings. Is someone else using it and want to share the experience with me? I think there is huge potential.

Best,
Damian

Powered by Ploneboard
Document Actions